import { ComponentFixture, TestBed } from '@angular/core/testing';

import { HealthmonitorDetailsOverviewComponent } from './healthmonitor-details-overview.component';
import { HttpClientTestingModule } from '@angular/common/http/testing';
import { RouterTestingModule } from '@angular/router/testing';
import { MatDialogModule } from '@angular/material/dialog';

describe('HealthmonitorDetailsOverviewComponent', () => {
  let component: HealthmonitorDetailsOverviewComponent;
  let fixture: ComponentFixture<HealthmonitorDetailsOverviewComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [HealthmonitorDetailsOverviewComponent],
      imports: [
        HttpClientTestingModule, RouterTestingModule, MatDialogModule,
      ],
    })
      .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(HealthmonitorDetailsOverviewComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
